Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have downloaded the last release of nautilus-action(3.1.5) and i want to install it, how to do that ???

share|improve this question
    
In case you don't want to install from source you may also be happy with nautilus action-3.1.4 for 11.10 (see this answer). Getdeb may eventually update to 3.1.5. –  Takkat Dec 10 '11 at 22:30

2 Answers 2

Well they finally did release 3.1.4 for 12.04 but nothing yet for 11.10 so it's easy to build. Make sure you have the build-deps installed, this should suffice -

1 complete command

sudo apt-get install libglib2.0-dev libgtk-3-dev libnautilus-extension-dev \
libunique-3.0-dev libxml2-dev libdbus-glib-1-dev libgtop2-dev uuid-dev \
intltool dpkg-dev checkinstall gnome-doc-utils

After installing deps extract & cd to your nautilus-actions-3.1.5 source folder, ie. your terminal prompt ends at nautilus-actions-3.1.5$, Example I have extracted in Downloads & cd'ed to it

doug@doug-XPS-M1330:~/Downloads/nautilus-actions-3.1.5$

Then at the terminal prompt copy & paste this, press enter

./configure --with-gtk=3 --with-default-io-provider=na-desktop --disable-gconf

If the configure goes well then follow with this (see at end of post for my current configure summary

make

When that's done install with this, make sure that synaptic or software-center are not open

sudo checkinstall --backup=no --deldoc=yes --fstrans=no \
--deldesc=yes --delspec=yes --default

That sould do it, you can move the nautilus-actions_3.1.5-1 deb package somewhere to keep if you wish & delete the source folder. Even though not really needed here I always run this after any checkinstall or make install, never hurts

sudo ldconfig

Ex. summary

Nautilus-Actions 3.1.5 configuration summary:

Installation prefix             /usr/local
Build system type               i686-pc-linux-gnu
Nautilus extensions directory   /usr/lib/nautilus/extensions-3.0
Gtk+ version                    Gtk+ 3.0
Default I/O provider            na-desktop
Enable deprecated functions     no
GConf enabled                   no
GConf schemas installation      disabled
Maintainer mode                 disabled
API Reference generation        disabled
HTML User's Manuals generation  disabled
PDF User's Manuals generation   disabled
share|improve this answer
up vote 3 down vote accepted

Nautilus Actions Extra provides a set of useful scripts for Nautilus 3. Among the included scripts/actions are: advanced search, open file with Gedit as user or root, set image as wallpaper, mount or unmount ISO files, verify checksum, convert image and audio files, batch rename (pyRenamer), add emblems and more.

nautilus-action

be aware that it will install a lot of dependencies which are required by the various scripts it comes with.

To install Nautilus Actions Extra in Ubuntu 11.10 or 12.04, use the commands below:

sudo add-apt-repository ppa:dr3mro/nautilus-actions-extra
sudo apt-get update
sudo apt-get install nautilus-actions-extra

and restart nautilus using nautilus -q or logout and re-login.

To launch Nautilus Actions Configuration Tool(to edit actions list) as root:
gksu nautilus-actions-config-tool

nautilus-actions-config-tool

Source

share|improve this answer
    
Just to keep in mind for 12.04, nautilus-gksu is no longer being built or provided in Debian/Ubnutu. So the ppa will need to either provide nautilus-gksu or remove the scripts that dep on it. Atm that hasn't been done but still early as far as the ppa. –  doug Dec 24 '11 at 1:38
    
thanks, but what about gksudo ??? –  Naruto Dec 24 '11 at 8:25
    
gksu(do) is still available to you, it's just that the Nautilus Actions Extra package continues to install dep on nautilus-gksu which will not be available in 12.04. You can, if you choose, manually install the extension & then either edit the current NAE 12.04 package or build the source without the dependency on the nautilus-gksu package. Filed a bug on NAE - bugs.launchpad.net/nautilus-actions-extra/+bug/917482 Do note that NAE is being split up into various packages so you could install elements that don't use the extension –  doug Jan 17 '12 at 4:58

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.